<?php

/*
*	Copyright VeryIDE,2007-2010
*	http://www.veryide.com/
*
*	$Id: ,v1 10:39 2008-7-27 Leilei $
*/

//载入全局配置和函数包
require("../../include/global.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>
QRcode cgi demo
</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<meta name="Description" content="qrcode encode program (QRcode cgi demo page.You can try to encode QRcode.)" />
<meta name="Keywords" content="qrcode,qr code,barcode" />
<?php
echo loader_style(VI_BASE."/style/share.css","utf-8",$Project["version"]);

echo loader_script(array(VI_BASE."js/mo.js",VI_BASE."js/mo.form.js"),"utf-8",$Project["version"]);
?>

<script>

Mo.ready(function(){

	Mo('#qrcode').hide();

});

Mo.reader(function(){

	Mo("#wrapper form input[name=d]").focus();

	//绑定表单事件
	Mo("#wrapper form").bind( 'submit', function( ele, index, e ){
	
		if( ele.d.value ){
		
			var url = './?'+ Mo.Serialize( this, {}, '&' );		
			Mo('#qrcode').html( '<a href="'+url+'" target="_blank"><img src="'+ url +'" /></a>' ).show();
			
		}else{
			ele.d.focus();
		}
		
		return false;

	}).bind( 'reset', function( ele, index, e ){

		Mo('#qrcode').hide();

	});

});

</script>

</head>
<body>


	<div id="wrapper">
    
    	<div id="header">
        	<h2>二维码（QRcode）API</h2>
        </div>
        
        <div id="main">
		
			<p>				
				此演示支持 QRcode Model2 的数值模式，字母，数字模式或8位模式。 
				Qrcode 版本限制在15以下。 <br />
				此演示需要开启 'referer' 支持。
			</p>
			
			<form action="./" method="get" id="iform">
			
			<p>
				数据：<input name="d" type="text" size="100" />			
			</p>
			
			<div id="qrcode"></div>
			
			<p>
				ecc 级别：
					<select name="e">
					<option value="L">lelvel L			</option>
					<option value="M" selected="selected">level M			</option>
					<option value="Q">level Q			</option>
					<option value="H">level H			</option>
				</select>


				版本：
				<select name="v">
					<option value="0">AUTO</option>
					<option>1			</option>
					<option>2			</option>
					<option>3			</option>
					<option>4			</option>
					<option>5			</option>
					<option>6			</option>
					<option>7			</option>
					<option>8			</option>
					<option>9			</option>
					<option>10			</option>
					<option>11			</option>
					<option>12			</option>
					<option>13			</option>
					<option>14			</option>
					<option>15			</option>
				</select>

				尺寸：
				<select name="s">
					<option>1			</option>
					<option>2			</option>
					<option selected="selected">3			</option>
					<option>4			</option>
					<option>5			</option>
				</select>
			</p>
			
			<p>
				<button type="submit">生成</button>
				<button type="reset">重置</button>			
			</p>
			
			</form>

        </div>
         
        <div id="adsense">        
        	<?php echo $Adsense["share"];?>        
        </div>
       
    	<div id="footer">
			<?php echo $Project["powered"];?>
            <?php echo $Product["appname"];?>
            <?php echo $Product["version"];?>
        </div>
    
    
    </div>


</body>

</html>